## com.imcode.imcms.api
Enum TextDocument.TextField.Format

    java.lang.Object
      java.lang.Enum<TextDocument.TextField.Format>
          com.imcode.imcms.api.TextDocument.TextField.Format

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TextDocument.TextField.Format>

Enclosing class:
  TextDocument.TextField

    public static enum TextDocument.TextField.Format

extends java.lang.Enum<TextDocument.TextField.Format>

Enum Constant Summary
`HTML`
`PLAIN`

Method Summary
`int` `getType()`
`static TextDocument.TextField.Format` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TextDocument.TextField.Format[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PLAIN

    public static final TextDocument.TextField.Format PLAIN

### HTML

    public static final TextDocument.TextField.Format HTML

Method Detail

### values

    public static final TextDocument.TextField.Format[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TextDocument.TextField.Format c : TextDocument.TextField.Format.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TextDocument.TextField.Format valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### getType

    public int getType()